-- Wrapper class for UI elements. Barely a class, mostly just a table, but
-- we'll keep the OO semantics.
import "CoreLibs/object"
import "meter"
-- import "weaponpowerwidget"

class("UI", {}).extends(playdate.object)

function UI:init()
   self.chargeMeter = Meter(100, 10, 60)
   self.healthMeter = Meter(100, 60, 10, false)
   -- self.weaponPowerWidget = WeaponPowerWidget()
   self:moveTo(359, 199)
end

function UI:add()
   self.chargeMeter:add()
   self.healthMeter:add()
end

function UI:moveTo(x, y)
   -- figure out correct offsets later
   self.chargeMeter:moveTo(x + 35, y)
   self.healthMeter:moveTo(x, y + 35)
end
